<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
              android:layout_width="wrap_content"
              android:layout_height="wrap_content"
              android:background="@android:color/white"
              android:orientation="vertical"
              android:paddingLeft="5dp"
              android:paddingRight="5dp">

    <collagemaker.photoeditor.colorpicker.ColorPickerView
        android:id="@+id/color_picker_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layerType="software"
        android:tag="portrait"/>

    <LinearLayout
        android:id="@+id/text_hex_wrapper"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="5dp"
        android:layout_marginLeft="6dp"
        android:layout_marginRight="6dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="left"
            android:text="@string/photo_editor_press_color_to_apply"
            android:textAppearance="?android:attr/textAppearanceSmall"/>

        <EditText
            android:id="@+id/hex_val"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:hint="HEX"
            android:imeOptions="actionDone"
            android:inputType="textCapCharacters"
            android:maxLength="7"
            android:singleLine="true"
            android:visibility="gone">
        </EditText>
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginBottom="10dp"
        android:orientation="horizontal">

        <collagemaker.photoeditor.colorpicker.ColorPickerPanelView
            android:id="@+id/old_color_panel"
            android:layout_width="0px"
            android:layout_height="fill_parent"
            android:layout_weight="0.5"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="fill_parent"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:gravity="center"
            android:text="→"
            android:textSize="20sp"/>

        <collagemaker.photoeditor.colorpicker.ColorPickerPanelView
            android:id="@+id/new_color_panel"
            android:layout_width="0px"
            android:layout_height="wrap_content"
            android:layout_weight="0.5"/>
    </LinearLayout>

</LinearLayout>